Skip to main content
POST
/
wallet
/
api
/
cardTrans
/
all
Query All Card Transactions Under Agency
curl --request POST \
  --url http://access-wallet.test.ftrader.pro/wallet/api/cardTrans/all
{
  "code": 123,
  "msg": "<string>",
  "data": {
    "dataTotal": 123,
    "haveNext": true,
    "list": [
      {
        "appId": "<string>",
        "appUserId": "<string>",
        "amount": 123,
        "cardAssetId": 123,
        "cardId": 123,
        "createAt": "2023-11-07T05:31:56Z",
        "currency": "<string>",
        "decimalPlaces": 123,
        "desc": "<string>",
        "feeAmount": 123,
        "flowNo": "<string>",
        "icon": "<string>",
        "intent": "<string>",
        "postedAt": "2023-11-07T05:31:56Z",
        "status": "CREATED",
        "symbol": "<string>",
        "time": "2023-11-07T05:31:56Z",
        "title": "<string>",
        "totalAmount": 123
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.cardplus.cc/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

agencyCode
string
required

Agency code

appId
string
required

App identifier

appUserId
string
required

App user ID; if provided, queries transactions for the specified user

pageNo
integer<int32>
required

Page number

pageSize
integer<int32>
required

Items per page

sign
string
required

Signature

userEmail
string
required

Email; if provided, queries transactions for the specified email user

Response

200 - application/json

OK

code
integer<int32>
required
msg
string
required
data
object